%define name vesautils
%define version 0
%define svn 10
%define release %mkrel 0.%svn.1
%define libname %mklibname vbe 0

Summary: Vesa BIOS extension tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
Patch: vesautils-10-makefile.patch.bz2
License: GPL
Group: System/Configuration/Hardware
Url: http://www.mplayerhq.hu/vesautils/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: liblrmi-devel


%description
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %libname
Group:System/Libraries
Summary: Vesa BIOS extension tools

%description -n %libname
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %libname-devel
Group:Development/C
Summary: Vesa BIOS extension tools
Requires: %libname = %version
Provides: libvbe-devel = %version-%release

%description -n %libname-devel
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.


%prep
%setup -q -n %name
%patch -p0

%build
make
cd libvbe
make

%install
install -d %buildroot%_bindir
install -m 755 dosint get-edid vbemodeinfo vbetool %buildroot%_bindir
cd libvbe
mkdir -p %buildroot%_libdir %buildroot%_includedir
%makeinstall LIBDIR=%buildroot%_libdir INCDIR=%buildroot%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%_bindir/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libvbe.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/libvbe.so
%attr(644,root,root) %_includedir/vbe.h

%changelog
* Mon Apr  3 2006 Götz Waschk <waschk@mandriva.org> 0-0.10.1mdk
- initial package
